io.agora.rtc

## Class VideoFormat

- java.lang.Object
- - io.agora.rtc.VideoFormat

-     public class VideoFormat
      extends java.lang.Object

  Video format configuration class. Contains video width, height, and frame rate information.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `fps` Frame rate (frames per second).
    `private int` | `height` Video height in pixels.
    `private int` | `width` Video width in pixels.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VideoFormat()` Default constructor.
    `VideoFormat(int width, int height, int fps)` Constructor with parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFps()` Gets the frame rate.
    `int` | `getHeight()` Gets the video height.
    `int` | `getWidth()` Gets the video width.
    `void` | `setFps(int fps)` Sets the frame rate.
    `void` | `setHeight(int height)` Sets the video height.
    `void` | `setWidth(int width)` Sets the video width.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### width

          private int width

      Video width in pixels.

    - #### height

          private int height

      Video height in pixels.

    - #### fps

          private int fps

      Frame rate (frames per second).

  - ### Constructor Detail

    - #### VideoFormat

          public VideoFormat()

      Default constructor.

    - #### VideoFormat

          public VideoFormat(int width,
                             int height,
                             int fps)

      Constructor with parameters.
      Parameters:
        `width` - Video width in pixels
        `height` - Video height in pixels
        `fps` - Frame rate (frames per second)

  - ### Method Detail

    - #### getWidth

          public int getWidth()

      Gets the video width.
      Returns:
        Video width in pixels

    - #### setWidth

          public void setWidth(int width)

      Sets the video width.
      Parameters:
        `width` - Video width in pixels

    - #### getHeight

          public int getHeight()

      Gets the video height.
      Returns:
        Video height in pixels

    - #### setHeight

          public void setHeight(int height)

      Sets the video height.
      Parameters:
        `height` - Video height in pixels

    - #### getFps

          public int getFps()

      Gets the frame rate.
      Returns:
        Frame rate (frames per second)

    - #### setFps

          public void setFps(int fps)

      Sets the frame rate.
      Parameters:
        `fps` - Frame rate (frames per second)